getVoiceprintVoiceUserMetadataConfig(params?: GetVoiceprintVoiceUserMetadataConfigParams)
Requires:
@tuya-miniapp/cloud-api≥1.x.x
Description
Get the voice user metadata configuration.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| No | Request parameters |
Return Value
Type: Promise<VoiceprintVoiceUserMetadataConfig>
GetVoiceprintVoiceUserMetadataConfigResult (for field meanings, see the type definition and minituya response parameters)
Referenced Types
interface
VoiceprintVoiceUserMetadataConfigVoice user metadata configuration| Property | Type | Description |
|---|---|---|
voiceprintVoiceUserAvatarDomain | string | Domain name for voice user avatars |
voiceprintVoiceUserAvatarObjectKeys | string[] | List of object keys for voice user avatars |
voiceprintVoiceUserMaxCountOfGid | number | Maximum number of voice users per home |
autoRegisterVoiceUserExpireMaxDays | number | Maximum number of days before automatically enrolled voice users expire |
voiceprintProtocolUrl | string | Voiceprint agreement URL |
textSimilarity | number | Similarity between ASR text and sample text |
| List of supported languages |